"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const generator_1 = require("../../../../../const/generator");
const types_1 = require("../../../../../types");
const pluginFactory = () => {
    const plugin = (pre) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const next = Object.assign({}, pre);
        const ir = next.ir;
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: types_1.FileType.JS,
            name: generator_1.COMMON_CHUNK_NAME.InternalDepsImport,
            content: `
        import BasicLayout from '@/layouts/BasicLayout';
      `,
            linkAfter: [generator_1.COMMON_CHUNK_NAME.ExternalDepsImport],
        });
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: types_1.FileType.JS,
            name: generator_1.COMMON_CHUNK_NAME.FileVarDefine,
            content: `
        const routerConfig = [
          {
            path: '/',
            component: BasicLayout,
            children: [
              ${ir.routes
                .map((route) => `
                    {
                      path: '${route.path}',
                      component: ${route.componentName},
                    }
                  `)
                .join(',')}
            ],
          },
        ];
      `,
            linkAfter: [
                generator_1.COMMON_CHUNK_NAME.ExternalDepsImport,
                generator_1.COMMON_CHUNK_NAME.InternalDepsImport,
                generator_1.COMMON_CHUNK_NAME.ImportAliasDefine,
                generator_1.COMMON_CHUNK_NAME.FileUtilDefine,
            ],
        });
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: types_1.FileType.JS,
            name: generator_1.COMMON_CHUNK_NAME.FileExport,
            content: `
        export default routerConfig;
      `,
            linkAfter: [
                generator_1.COMMON_CHUNK_NAME.ExternalDepsImport,
                generator_1.COMMON_CHUNK_NAME.InternalDepsImport,
                generator_1.COMMON_CHUNK_NAME.FileUtilDefine,
                generator_1.COMMON_CHUNK_NAME.ImportAliasDefine,
                generator_1.COMMON_CHUNK_NAME.FileVarDefine,
                generator_1.COMMON_CHUNK_NAME.FileMainContent,
            ],
        });
        return next;
    });
    return plugin;
};
exports.default = pluginFactory;
//# sourceMappingURL=router.js.map