"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateStaticFiles = void 0;
const tslib_1 = require("tslib");
const resultHelper_1 = require("../../../../../utils/resultHelper");
const templateHelper_1 = require("../../../../../utils/templateHelper");
const abc_json_1 = tslib_1.__importDefault(require("./files/abc.json"));
const build_json_1 = tslib_1.__importDefault(require("./files/build.json"));
const editorconfig_1 = tslib_1.__importDefault(require("./files/editorconfig"));
const eslintignore_1 = tslib_1.__importDefault(require("./files/eslintignore"));
const eslintrc_js_1 = tslib_1.__importDefault(require("./files/eslintrc.js"));
const gitignore_1 = tslib_1.__importDefault(require("./files/gitignore"));
const jsconfig_json_1 = tslib_1.__importDefault(require("./files/jsconfig.json"));
const prettierignore_1 = tslib_1.__importDefault(require("./files/prettierignore"));
const prettierrc_js_1 = tslib_1.__importDefault(require("./files/prettierrc.js"));
const README_md_1 = tslib_1.__importDefault(require("./files/README.md"));
const index_jsx_1 = tslib_1.__importDefault(require("./files/src/layouts/BasicLayout/components/Footer/index.jsx"));
const index_style_1 = tslib_1.__importDefault(require("./files/src/layouts/BasicLayout/components/Footer/index.style"));
const index_jsx_2 = tslib_1.__importDefault(require("./files/src/layouts/BasicLayout/components/Logo/index.jsx"));
const index_style_2 = tslib_1.__importDefault(require("./files/src/layouts/BasicLayout/components/Logo/index.style"));
const index_jsx_3 = tslib_1.__importDefault(require("./files/src/layouts/BasicLayout/components/PageNav/index.jsx"));
const index_jsx_4 = tslib_1.__importDefault(require("./files/src/layouts/BasicLayout/index.jsx"));
const menuConfig_js_1 = tslib_1.__importDefault(require("./files/src/layouts/BasicLayout/menuConfig.js"));
const stylelintignore_1 = tslib_1.__importDefault(require("./files/stylelintignore"));
const stylelintrc_js_1 = tslib_1.__importDefault(require("./files/stylelintrc.js"));
const tsconfig_json_1 = tslib_1.__importDefault(require("./files/tsconfig.json"));
function generateStaticFiles(root = (0, resultHelper_1.createResultDir)('.')) {
    (0, templateHelper_1.runFileGenerator)(root, tsconfig_json_1.default);
    (0, templateHelper_1.runFileGenerator)(root, stylelintrc_js_1.default);
    (0, templateHelper_1.runFileGenerator)(root, stylelintignore_1.default);
    (0, templateHelper_1.runFileGenerator)(root, prettierrc_js_1.default);
    (0, templateHelper_1.runFileGenerator)(root, prettierignore_1.default);
    (0, templateHelper_1.runFileGenerator)(root, jsconfig_json_1.default);
    (0, templateHelper_1.runFileGenerator)(root, gitignore_1.default);
    (0, templateHelper_1.runFileGenerator)(root, eslintrc_js_1.default);
    (0, templateHelper_1.runFileGenerator)(root, eslintignore_1.default);
    (0, templateHelper_1.runFileGenerator)(root, editorconfig_1.default);
    (0, templateHelper_1.runFileGenerator)(root, build_json_1.default);
    (0, templateHelper_1.runFileGenerator)(root, abc_json_1.default);
    (0, templateHelper_1.runFileGenerator)(root, README_md_1.default);
    (0, templateHelper_1.runFileGenerator)(root, index_jsx_4.default);
    (0, templateHelper_1.runFileGenerator)(root, menuConfig_js_1.default);
    (0, templateHelper_1.runFileGenerator)(root, index_jsx_1.default);
    (0, templateHelper_1.runFileGenerator)(root, index_style_1.default);
    (0, templateHelper_1.runFileGenerator)(root, index_jsx_2.default);
    (0, templateHelper_1.runFileGenerator)(root, index_style_2.default);
    (0, templateHelper_1.runFileGenerator)(root, index_jsx_3.default);
    return root;
}
exports.generateStaticFiles = generateStaticFiles;
//# sourceMappingURL=static-files.js.map