"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const change_case_1 = tslib_1.__importDefault(require("change-case"));
const generator_1 = require("../../../../../const/generator");
const types_1 = require("../../../../../types");
const validate_1 = require("../../../../../utils/validate");
const pluginFactory = (cfg) => {
    const plugin = (pre) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        var _a, _b, _c, _d, _e, _f;
        const next = Object.assign({}, pre);
        const ir = next.ir;
        const routes = ((_b = (_a = ir.globalRouter) === null || _a === void 0 ? void 0 : _a.routes) === null || _b === void 0 ? void 0 : _b.map((route) => ({
            path: route.path,
            source: `pages/${(0, validate_1.ensureValidClassName)(change_case_1.default.pascalCase(route.fileName))}/index`,
        }))) || [{ path: '/', source: 'pages/Home/index' }];
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: types_1.FileType.JSON,
            name: generator_1.COMMON_CHUNK_NAME.CustomContent,
            content: `
{
  "routes": ${JSON.stringify(routes, null, 2)},
  "window": {
    "title": ${JSON.stringify((cfg === null || cfg === void 0 ? void 0 : cfg.title) || ((_d = (_c = ir.project) === null || _c === void 0 ? void 0 : _c.meta) === null || _d === void 0 ? void 0 : _d.title) || ((_f = (_e = ir.project) === null || _e === void 0 ? void 0 : _e.meta) === null || _f === void 0 ? void 0 : _f.name) || '')}
  }
}
      `,
            linkAfter: [],
        });
        return next;
    });
    return plugin;
};
exports.default = pluginFactory;
//# sourceMappingURL=appConfig.js.map