"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const generator_1 = require("../../../../../const/generator");
const types_1 = require("../../../../../types");
const pluginFactory = (cfg) => {
    const plugin = (pre) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const next = Object.assign({}, pre);
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: types_1.FileType.JS,
            name: generator_1.COMMON_CHUNK_NAME.ExternalDepsImport,
            content: `
import { runApp } from 'rax-app';

import './global.${(cfg === null || cfg === void 0 ? void 0 : cfg.globalStylesFileType) || 'css'}';
`,
            linkAfter: [],
        });
        // 应用配置
        const appConfig = (cfg === null || cfg === void 0 ? void 0 : cfg.appConfig) || {};
        Object.assign(appConfig, {
            // 路由配置
            router: Object.assign({ mode: 'hash' }, appConfig.router),
        });
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: types_1.FileType.JS,
            name: generator_1.COMMON_CHUNK_NAME.FileMainContent,
            content: `
runApp(${JSON.stringify(appConfig, null, 2)});
`,
            linkAfter: [
                generator_1.COMMON_CHUNK_NAME.ExternalDepsImport,
                generator_1.COMMON_CHUNK_NAME.InternalDepsImport,
                generator_1.COMMON_CHUNK_NAME.ImportAliasDefine,
                generator_1.COMMON_CHUNK_NAME.FileVarDefine,
                generator_1.COMMON_CHUNK_NAME.FileUtilDefine,
            ],
        });
        return next;
    });
    return plugin;
};
exports.default = pluginFactory;
//# sourceMappingURL=entry.js.map