"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const generator_1 = require("../../../../../const/generator");
const types_1 = require("../../../../../types");
const pluginFactory = (config) => {
    const cfg = Object.assign({ fileType: types_1.FileType.SCSS }, config);
    const plugin = (pre) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const next = Object.assign({}, pre);
        const ir = next.ir;
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: cfg.fileType,
            name: generator_1.COMMON_CHUNK_NAME.StyleDepsImport,
            content: '',
            linkAfter: [],
        });
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: cfg.fileType,
            name: generator_1.COMMON_CHUNK_NAME.StyleCssContent,
            content: `
body {
  -webkit-font-smoothing: antialiased;
}
`,
            linkAfter: [generator_1.COMMON_CHUNK_NAME.StyleDepsImport],
        });
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: cfg.fileType,
            name: generator_1.COMMON_CHUNK_NAME.StyleCssContent,
            content: ir.css || '',
            linkAfter: [generator_1.COMMON_CHUNK_NAME.StyleDepsImport],
        });
        return next;
    });
    return plugin;
};
exports.default = pluginFactory;
//# sourceMappingURL=globalStyle.js.map