"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateStaticFiles = void 0;
const tslib_1 = require("tslib");
const resultHelper_1 = require("../../../../../utils/resultHelper");
const templateHelper_1 = require("../../../../../utils/templateHelper");
const _eslintignore_1 = tslib_1.__importDefault(require("./files/.eslintignore"));
const _eslintrc_js_1 = tslib_1.__importDefault(require("./files/.eslintrc.js"));
const _gitignore_1 = tslib_1.__importDefault(require("./files/.gitignore"));
const _prettierignore_1 = tslib_1.__importDefault(require("./files/.prettierignore"));
const _prettierrc_js_1 = tslib_1.__importDefault(require("./files/.prettierrc.js"));
const _stylelintignore_1 = tslib_1.__importDefault(require("./files/.stylelintignore"));
const _stylelintrc_js_1 = tslib_1.__importDefault(require("./files/.stylelintrc.js"));
const jsconfig_json_1 = tslib_1.__importDefault(require("./files/jsconfig.json"));
const README_md_1 = tslib_1.__importDefault(require("./files/README.md"));
const tsconfig_json_1 = tslib_1.__importDefault(require("./files/tsconfig.json"));
function generateStaticFiles(root = (0, resultHelper_1.createResultDir)('.')) {
    (0, templateHelper_1.runFileGenerator)(root, _eslintignore_1.default);
    (0, templateHelper_1.runFileGenerator)(root, _eslintrc_js_1.default);
    (0, templateHelper_1.runFileGenerator)(root, _gitignore_1.default);
    (0, templateHelper_1.runFileGenerator)(root, _prettierignore_1.default);
    (0, templateHelper_1.runFileGenerator)(root, _prettierrc_js_1.default);
    (0, templateHelper_1.runFileGenerator)(root, _stylelintignore_1.default);
    (0, templateHelper_1.runFileGenerator)(root, _stylelintrc_js_1.default);
    (0, templateHelper_1.runFileGenerator)(root, jsconfig_json_1.default);
    (0, templateHelper_1.runFileGenerator)(root, README_md_1.default);
    (0, templateHelper_1.runFileGenerator)(root, tsconfig_json_1.default);
    return root;
}
exports.generateStaticFiles = generateStaticFiles;
//# sourceMappingURL=static-files.js.map