"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScopeBindings = void 0;
const OrderedSet_1 = require("./OrderedSet");
class ScopeBindings {
    constructor(p = null) {
        this._bindings = new OrderedSet_1.OrderedSet();
        this.parent = p;
    }
    hasBinding(varName) {
        var _a;
        return this._bindings.has(varName) || !!((_a = this.parent) === null || _a === void 0 ? void 0 : _a.hasBinding(varName));
    }
    hasOwnBinding(varName) {
        return this._bindings.has(varName);
    }
    addBinding(varName) {
        this._bindings.add(varName);
    }
    removeBinding(varName) {
        this._bindings.delete(varName);
    }
    getAllBindings() {
        const allBindings = new OrderedSet_1.OrderedSet(this._bindings.toArray());
        for (let { parent } = this; parent; parent = parent === null || parent === void 0 ? void 0 : parent.parent) {
            parent.getAllOwnedBindings().forEach((varName) => {
                allBindings.add(varName);
            });
        }
        return allBindings.toArray();
    }
    getAllOwnedBindings() {
        return this._bindings.toArray();
    }
}
exports.ScopeBindings = ScopeBindings;
//# sourceMappingURL=ScopeBindings.js.map