"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ensureValidClassName = exports.isValidComponentName = exports.isValidIdentifier = void 0;
const isValidIdentifier = (name) => {
    return /^[_$a-zA-Z\xA0-\uFFFF][_$a-zA-Z0-9\xA0-\uFFFF]*$/.test(name);
};
exports.isValidIdentifier = isValidIdentifier;
const isValidComponentName = (name) => {
    return /^[_$a-zA-Z\xA0-\uFFFF][_$a-zA-Z0-9\xA0-\uFFFF.]*$/.test(name);
};
exports.isValidComponentName = isValidComponentName;
const ensureValidClassName = (name) => {
    if (!(0, exports.isValidIdentifier)(name)) {
        return `$${name.replace(/[^_$a-zA-Z0-9]/g, '')}`;
    }
    return name;
};
exports.ensureValidClassName = ensureValidClassName;
//# sourceMappingURL=validate.js.map